<mat-grid-list cols="2" rowHeight="10:1">
  <mat-grid-tile>
    <h2>Catálogo Status de Evento (Agenda)</h2>
  </mat-grid-tile>
  <mat-grid-tile>
    <button mat-raised-button color="primary" (click)="openDialog(null)">
      <mat-icon>add</mat-icon>
      Nuevo Status
    </button></mat-grid-tile>
</mat-grid-list>

<mat-divider></mat-divider>


<div class="schedule-table">

  <div class="spinner-container" *ngIf="dataSource.loading$|async">
    <mat-spinner></mat-spinner>
  </div>

  <mat-form-field class="example-full-width">
    <input matInput type="search" placeholder="Buscar" value="" [formControl]="searchInput">
    <button mat-button *ngIf="searchInput.value" matSuffix mat-icon-button aria-label="Clear" (click)="searchInput.setValue('')">
      <mat-icon>close</mat-icon>
    </button>
  </mat-form-field>




  <mat-table class="schedule-status-table mat-elevation-z8" [dataSource]="dataSource" matSort matSortActive="name"
    matSortDirection="asc" matSortDisableClear>



    <ng-container matColumnDef="color">
      <mat-header-cell *matHeaderCellDef>Color</mat-header-cell>
      <mat-header-cell *matCellDef="let scheduleStatus">
        <span class="status-color" [ngStyle]="{'background-color':scheduleStatus.color}"></span>

      </mat-header-cell>
    </ng-container>

    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef mat-sort-header>Nombre</mat-header-cell>
      <mat-header-cell *matCellDef="let scheduleStatus">{{scheduleStatus.name}}</mat-header-cell>
    </ng-container>


    <ng-container matColumnDef="created_at">
      <mat-header-cell *matHeaderCellDef>Fecha Creación</mat-header-cell>
      <mat-header-cell *matCellDef="let scheduleStatus">{{scheduleStatus.created_at}}</mat-header-cell>
    </ng-container>

    <ng-container matColumnDef="updated_at">
      <mat-header-cell *matHeaderCellDef>Última Actualización</mat-header-cell>
      <mat-header-cell *matCellDef="let scheduleStatus">{{scheduleStatus.updated_at}}</mat-header-cell>
    </ng-container>

    <ng-container matColumnDef="is_active">
      <mat-header-cell *matHeaderCellDef>Status</mat-header-cell>


      <mat-header-cell *matCellDef="let scheduleStatus">
        <mat-chip-list>
          <mat-chip color="primary" selected *ngIf="scheduleStatus.is_active">Activado</mat-chip>
          <mat-chip color="warn" selected *ngIf="!scheduleStatus.is_active">Desactivado</mat-chip>
        </mat-chip-list>

      </mat-header-cell>
    </ng-container>

    <ng-container matColumnDef="actions">
      <mat-header-cell *matHeaderCellDef>Acciones</mat-header-cell>
      <mat-header-cell *matCellDef="let scheduleStatus">
        <div class="button-row">
          <button mat-raised-button color="primary" (click)="openDialog(scheduleStatus)">
            <mat-icon>edit</mat-icon>
            Editar
          </button>

          <button mat-raised-button [color]="scheduleStatus.is_active?'warn':'primary'">
            <mat-icon>{{scheduleStatus.is_active ? 'cancel':'check'}}</mat-icon>
            {{scheduleStatus.is_active ? 'Desactivar' : 'Activar'}}
          </button>

        </div>
      </mat-header-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>

    <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>

  </mat-table>



  <mat-paginator [length]="dataSource.noPages$ |async " [pageSize]="10" [pageSizeOptions]="[10,20,30,50]">

  </mat-paginator>

</div>
